/*
  DUST: Simulator for circuits containing a SX microcontroller.
  Copyright (C) 1999 Blaise Gassend <blaise at gassend dot com> 
  and Franois-Marie Lefevere <francois-marie dot lefevere at m4x dot org>
  
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

//----------------------------------------------------------------------------
#ifndef OCBH
#define OCBH
//----------------------------------------------------------------------------
#include <System.hpp>
#include <Windows.hpp>
#include <SysUtils.hpp>
#include <Classes.hpp>
#include <Graphics.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Controls.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "cspin.h"
//----------------------------------------------------------------------------
class TAnimSpeedDialog : public TForm
{
__published:
    TGroupBox *GroupBox1;
    TCSpinEdit *SlowSpeed;
    TLabel *Label1;
    TLabel *Label2;
    TGroupBox *GroupBox2;
    TLabel *Label3;
    TCSpinEdit *HighSpeed;
    TBitBtn *BitBtn1;
    TBitBtn *BitBtn2;
private:
public:
	virtual __fastcall TAnimSpeedDialog(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TAnimSpeedDialog *AnimSpeedDialog;
//----------------------------------------------------------------------------
#endif
