unit FmControls;

interface
uses Windows, Classes, Graphics, Forms, Controls, StdCtrls, Buttons,
  ExtCtrls,SysUtils;
Const
      Edit_Width = 28;
      Edit_Size = 8;
      Edit_Height = 17;
      Edit_Font = 'Times';

type

TStrEdit = Class(TEdit)
  private
    procedure Enter(Sender : TObject);
    procedure Exit(Sender : TObject);
    procedure KeyPress( var Key: Char);override;
  public
    Modify : TNotifyEvent;
    constructor Create(aOWner : TComponent);
End;

implementation

constructor TStrEdit.Create;
Begin
  inherited Create(aOwner);
  AutoSize:=False;
  MaxLength:=4;
  Font.Name := Edit_Font;
  Font.Size := Edit_Size;
  ParentColor := False;
  Color := clBtnFace;
  ParentCtl3D := False;
  Ctl3D := False;
  BorderStyle := bsSingle;
  OnEnter := Enter;
  OnExit := Exit;
  Modify:=Nil;
End;

procedure TStrEdit.Enter;
Begin
  Color:=clWindow;
End;

procedure TStrEdit.Exit;
Begin
  Color:=clBtnFace;
  if Assigned(modify) then Modify(Self);
End;

procedure TStrEdit.KeyPress;
Begin
  Case Key of
    Char(VK_RETURN):Begin
      if Assigned(modify) then Modify(Self);
      Key:=#0;
    End;
    Char(VK_ESCAPE):Begin
      if Assigned(modify) then Modify(Self);
      Key:=#0;
      Enabled:=false;Enabled:=True;  //Dselectionne le contrle
    End;
    Else inherited;
  End;
End;

end.
