unit StringEditUnit;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls;

type
  TStringProc=procedure (s:PChar) of object;
  TStringEdit = class(TForm)
    VarEdit: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    OnValidate:TStringProc;
  end;

var
  StringEdit: TStringEdit;

implementation

{$R *.DFM}

procedure TStringEdit.BitBtn1Click(Sender: TObject);
begin
  if Assigned(OnValidate) then OnValidate(PChar(VarEdit.Text));
  Close;
end;

procedure TStringEdit.BitBtn3Click(Sender: TObject);
begin
  if Assigned(OnValidate) then OnValidate(PChar(VarEdit.Text));
end;

procedure TStringEdit.BitBtn2Click(Sender: TObject);
begin
  Close;
end;

end.
